package com.dsk.cscec.controller;


import com.dsk.common.core.controller.BaseController;
import com.dsk.common.core.domain.R;
import com.dsk.cscec.domain.vo.DCustomerClassTreeVo;
import com.dsk.cscec.service.DCustomerClassService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * (DCustomerClass)表控制层
 *
 * @author sxk
 * @since 2024-06-19 17:03:19
 */
@RestController
@RequestMapping("dCustomerClass")
public class DCustomerClassController extends BaseController {
    @Resource
    private DCustomerClassService baseService;

    /**
     * 查询物资类别树
     */
    @GetMapping("/queryMaterialClassTree")
    public R<List<DCustomerClassTreeVo>> queryMaterialClassTree() {
        return R.ok(baseService.queryMaterialClassTree());
    }
}

