package com.dsk.cscec.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;


import java.util.Date;
import java.io.Serializable;

/**
 * 合同维表(DContract)实体类
 *
 * @author sxk
 * @since 2024-06-21 13:38:29
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class DContract implements Serializable {
    private static final long serialVersionUID = 374272443452482335L;

    /**
     * 省市
     */
    private String addr;


    /**
     * 合同主键
     */
    private Long contractKey;
    /**
     * 合同编号
     */
    private String contractCode;
    /**
     * 一体化合同编号
     */
    private String finContractCode;
    /**
     * 合同名称
     */
    private String contractName;
    /**
     * 提交状态
     */
    private String submitState;
    /**
     * 是否生效
     */
    private String isenablecontract;
    /**
     * 合同归属月份
     */
    private String monthCode;
    /**
     * 合同签订日期
     */
    private Date contractSignDate;
    /**
     * 合同盖章日期
     */
    private Date contractStampDate;
    /**
     * 合同总金额(含补充协议)
     */
    private Double contractTtlMoney;
    /**
     * 合同自施额(含补充协议)
     */
    private Double contractSelfMoney;
    /**
     * 合同金额(不含补充协议）
     */
    private Double contractOrigMoney;
    /**
     * 合同自施额(不含补充协议）
     */
    private Double contractOrigSelfmoney;
    /**
     * 合同金额(补充协议)
     */
    private Double contractModifyMoney;
    /**
     * 合同自施额(补充协议)
     */
    private Double contractModifySelfmoney;
    /**
     * 合同规模等级排名
     */
    private Long contractScale;
    /**
     * 合同规模等级名称
     */
    private String contractScaleName;
    /**
     * 自施合同规模等级排名
     */
    private Long selfContractScale;
    /**
     * 自施合同规模等级名称
     */
    private String selfContractScaleName;
    /**
     * 合同类型
     */
    private String contractType;
    /**
     * 合同分类
     */
    private String contractClass;
    /**
     * 合同文本类型
     */
    private String contractTextType;
    /**
     * 项目承接类型
     */
    private String contractMoneychange;
    /**
     * 核算项目名称
     */
    private String projectName;
    /**
     * 中标交底项目名称
     */
    private String bidName;
    /**
     * 工程承包单位名称
     */
    private String contractunitName;
    /**
     * 工程承包单位属性
     */
    private String contractunitAttribute;
    /**
     * 工程施工单位名称
     */
    private String jobunitName;
    /**
     * 工程施工单位属性
     */
    private String jobunitAttribute;
    /**
     * 发包单位名称
     */
    private String ownerName;
    /**
     * 发包单位性质
     */
    private String ownerNature;
    /**
     * 发包单位2名称
     */
    private String ownerName2;
    /**
     * 发包单位2性质
     */
    private String onwerNature2;
    /**
     * 是否中建一局内部交易
     */
    private String isinternalofcscec1b;
    /**
     * 是否中建集团内部交易
     */
    private String isinternalofcscec;
    /**
     * 外部联合签约主体
     */
    private String unionContractUnit;
    /**
     * 工程类别大类
     */
    private String projectMaintype;
    /**
     * 工程类别
     */
    private String projectType2;
    /**
     * 国家
     */
    private String country;
    /**
     * 省份
     */
    private String province;
    /**
     * 省份简称
     */
    private String provinceAbbrName;
    /**
     * 市区
     */
    private String district;
    /**
     * 建筑面积
     */
    private Double constructArea;
    /**
     * 合同开工日期
     */
    private Date contractStartDate;
    /**
     * 合同竣工日期
     */
    private Date contractEndDate;
    /**
     * 项目工期
     */
    private Double projectDays;
    /**
     * 项目工期2(竣工日期-开工日期)
     */
    private Double projectDays2;
    /**
     * 合同价款类型
     */
    private String contractMoneyType;
    /**
     * 计价依据
     */
    private String contractValuationMode;
    /**
     * 主材价格是否可以调整
     */
    private String ismaterialpricemodify;
    /**
     * 计价币种
     */
    private String currencyType;
    /**
     * 施工完成量审核周期天
     */
    private Double approveDays;
    /**
     * 竣工结算审核期限
     */
    private String endpayCheck;
    /**
     * 竣工结算是否第三方审计
     */
    private String isthirdpartyaudit;
    /**
     * 预付款支付比例100
     */
    private Double prepayRate;
    /**
     * 竣工时累计支付比例
     */
    private Double endpayRate;
    /**
     * 结算后累计支付比例
     */
    private Double lastpayRate;
    /**
     * 是否存在非现金支付
     */
    private String isnocashpay;
    /**
     * 非现金支付形式
     */
    private String nocashPayMethod;
    /**
     * 非现金支付比例100
     */
    private Double nocashPayRate;
    /**
     * 工程进度款支付方式
     */
    private String steppayTypeNew;
    /**
     * 工程进度款按月支付比例
     */
    private Double steppayScaleNew;
    /**
     * 混合支付节点比例
     */
    private Double steppayGrouppayScale;
    /**
     * 节点支付时间间隔天
     */
    private Double steppayPayInterval;
    /**
     * 资金来源
     */
    private String moneySource;
    /**
     * 是否有预付款
     */
    private String isincludeprepay;
    /**
     * 预付款金额
     */
    private Double prepayMoney;
    /**
     * 工程预付款支付比例
     */
    private Double projPrepayScale;
    /**
     * 工程进度款审核期限
     */
    private String steppayCheckDays;
    /**
     * 工程进度款支付期限
     */
    private String steppayPayDays;
    /**
     * 保修金预留方式
     */
    private String repairCostType;
    /**
     * 保修金预留比例
     */
    private Double repairCostRate;
    /**
     * 保修金全部返还时间年
     */
    private Double warrantyReturnYear;
    /**
     * 工期拖期违约金比例
     */
    private String projBrokencontractRange;
    /**
     * 工期拖期违约金比例10000
     */
    private String projBrokencontractRate;
    /**
     * 工期拖期违约金有无上限
     */
    private String ishaveupper;
    /**
     * 上限比例范围
     */
    private String upperValue;
    /**
     * 上限比例100
     */
    private String upperValueRate;
    /**
     * 预付款担保形式
     */
    private String prepaySuretyType;
    /**
     * 预付款担保额度
     */
    private String prepaySuretyMargin;
    /**
     * 履约担保形式
     */
    private String suretyType;
    /**
     * 履约担保额度
     */
    private Double suretyMargins;
    /**
     * 是否分别签订执行和备案合同
     */
    private String iscontractdb;
    /**
     * 评审级别
     */
    private String auditLevel;
    /**
     * 合同签订方式分类
     */
    private String contractSignType;
    /**
     * 是否需要向集团借款
     */
    private String isneedbphelp;
    /**
     * 高峰借款金额元
     */
    private Double helpMoney;
    /**
     * 红线预收益率
     */
    private String isyieldratered;
    /**
     * 红线履约保证金
     */
    private String isperfsuretytype;
    /**
     * 红线进度款
     */
    private String ismonthpay;
    /**
     * 是否承诺放弃受偿 红线优先受偿权
     */
    private String isgiveuppay1;
    /**
     * 施工完成量业主/监理审核周期是否大于一个月
     */
    private String isapproveover1month;
    /**
     * 橙线竣工后支付85
     */
    private String isendpayper;
    /**
     * 橙线无条件退场
     */
    private String isnopayquit;
    /**
     * 橙线工期延误处罚
     */
    private String isoverduepunish;
    /**
     * 橙线发包人是否出现两个
     */
    private String istwoowner;
    /**
     * 是否有处罚上限
     */
    private String ishavepunishupper;
    /**
     * 橙线项目未取得规划许可证
     */
    private String otherProjTimeDefer;
    /**
     * 是否事实放弃受偿权 橙线优先受偿权
     */
    private String isgiveuppay2;
    /**
     * 是否红线合同
     */
    private String isredcontract;
    /**
     * 是否橙线合同
     */
    private String isyellowcontract;
    /**
     * 含税合同金额外币
     */
    private Double contractForigMoney;
    /**
     * 自施含税合同金额外币
     */
    private Double contractForigSelfmoney;
    /**
     * 合同税额人民币元
     */
    private Double contractOrigTax;
    /**
     * 合同税额外币
     */
    private Double contractForigTax;
    /**
     * 自施合同税额人民币元
     */
    private Double contractOrigSelftax;
    /**
     * 合同自施税额外币
     */
    private Double contractForigSelftax;
    /**
     * 合同单据状态
     */
    private String flowState;
    /**
     * 一体化合同状态
     */
    private String finContractState;
    /**
     * 一体化单据状态
     */
    private String finInvoiceState;
    /**
     * 一体化合同名称
     */
    private String finContractName;
    /**
     * 一体化中合同签订日期
     */
    private Date finContractSignDate;
    /**
     * 一体化合同金额
     */
    private Double finContractValue;
    /**
     * 核算项目主键
     */
    private Long projectKey;
    /**
     * 中标交底主键
     */
    private Long bidKey;
    /**
     * 业主主键
     */
    private Long ownerKey;
    /**
     * 工程类型主键
     */
    private Long projectTypeKey;
    /**
     * 资金来源主键
     */
    private Long moneySourceKey;
    /**
     * 合同id
     */
    private String contractId;
    /**
     * 主合同id
     */
    private String mainContractId;
    /**
     * 核算项目id
     */
    private String projectId;
    /**
     * 中标交底id
     */
    private String bidId;
    /**
     * 业主id
     */
    private String ownerId;
    /**
     * 承包单位id
     */
    private String contractunitId;
    /**
     * 施工单位id
     */
    private String jobunitId;
    /**
     * 合同版本
     */
    private Double contractVersion;
    /**
     * 数据加载时间
     */
    private Date loadTime;
}
