package com.dsk.cscec.domain;

import com.dsk.common.core.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.util.Date;
import java.io.Serializable;

/**
 * 供应商解除限制信息表(FSupplierLimitedRelieve)实体类
 *
 * @author sxk
 * @since 2024-06-18 11:51:00
 */
@EqualsAndHashCode(callSuper = true)
@Data
@AllArgsConstructor
@NoArgsConstructor
public class FSupplierLimitedRelieve extends BaseEntity implements Serializable {
    private static final long serialVersionUID = -98358830181337808L;

    private String fid;
    /**
     * 版本
     */
    private Long version;
    /**
     * 单据编号
     */
    private String frecordno;
    /**
     * 子企业
     */
    private String fjobunitname;
    /**
     * 子企业id
     */
    private String fjobunitid;
    /**
     * 供应商名称
     */
    private String fsuppliername;
    /**
     * 供应商统一社会信用代码
     */
    private String funifiedsocialcreditcode;
    /**
     * 限用情形
     */
    private String flimitsituation;
    /**
     * 禁用情形
     */
    private String fdisablesituation;
    /**
     * 限用/禁用状态
     */
    private String fstate;
    /**
     * 解除前状态
     */
    private String fbeforestate;
    /**
     * 限用日期
     */
    private Date flimitdate;
    /**
     * 解除限用理由
     */
    private String frelievereason;
    /**
     * 附件
     */
    private String fattachment;
    /**
     * 备注
     */
    private String fremarks;
    /**
     * 流程状态
     */
    private String fbizstate;
    /**
     * 流程状态名称
     */
    private String fbizstatename;
    /**
     * 数据类型
     */
    private String fdatatype;
    /**
     * 时间戳
     */
    private Date fts;
    /**
     * 创建时间
     */
    private Date fcreatetime;
    /**
     * 创建人fullid
     */
    private String fcreatepsnfid;
    /**
     * 创建人fullname
     */
    private String fcreatepsnfname;
    /**
     * 是否为局名义被诉案件
     */
    private String fisgroupcase;

    private String fcategoryname;
    /**
     * 劳务分包id
     */
    private String flaowufbid;
    /**
     * 专业分包id
     */
    private String fzhuanyefbid;
    /**
     * 分供id
     */
    private String ffgid;
    /**
     * 租赁id
     */
    private String fzlid;

    private String flimitstate;
    /**
     * 数据加载时间
     */
    private Date loadTime;
}
